org.apache.poi.sl.usermodel

## Enum AutoNumberingScheme

- java.lang.Object
- - java.lang.Enum<AutoNumberingScheme>
  - - org.apache.poi.sl.usermodel.AutoNumberingScheme

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AutoNumberingScheme>

      public enum AutoNumberingScheme
      extends java.lang.Enum<AutoNumberingScheme>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `alphaLcParenBoth` Lowercase alphabetic character enclosed in parentheses.
    `alphaLcParenRight` Lowercase alphabetic character followed by a closing parenthesis.
    `alphaLcPeriod` Lowercase Latin character followed by a period.
    `alphaUcParenBoth` Uppercase alphabetic character enclosed in parentheses.
    `alphaUcParenRight` Uppercase alphabetic character followed by a closing parenthesis.
    `alphaUcPeriod` Uppercase Latin character followed by a period.
    `arabic1Minus` Bidi Arabic 1 (AraAlpha) with ANSI minus symbol.
    `arabic2Minus` Bidi Arabic 2 (AraAbjad) with ANSI minus symbol.
    `arabicDbPeriod` Double-byte Arabic numbers with double-byte period.
    `arabicDbPlain` Double-byte Arabic numbers.
    `arabicParenBoth` Arabic numeral enclosed in parentheses.
    `arabicParenRight` Arabic numeral followed by a closing parenthesis.
    `arabicPeriod` Arabic numeral followed by a period.
    `arabicPlain` Arabic numeral.
    `circleNumDbPlain` Double byte circle numbers.
    `circleNumWdBlackPlain` Wingdings black circle numbers.
    `circleNumWdWhitePlain` Wingdings white circle numbers.
    `ea1ChsPeriod` Simplified Chinese with single-byte period.
    `ea1ChsPlain` Simplified Chinese.
    `ea1ChtPeriod` Traditional Chinese with single-byte period.
    `ea1ChtPlain` Traditional Chinese.
    `ea1JpnChsDbPeriod` Japanese with double-byte period.
    `ea1JpnKorPeriod` Japanese/Korean with single-byte period.
    `ea1JpnKorPlain` Japanese/Korean.
    `hebrew2Minus` Bidi Hebrew 2 with ANSI minus symbol.
    `hindiAlpha1Period` Hindi alphabetic character followed by a period.
    `hindiAlphaPeriod` Hindi alphabetic character followed by a period.
    `hindiNumParenRight` Hindi numeric character followed by a closing parenthesis.
    `hindiNumPeriod` Hindi numeric character followed by a period.
    `romanLcParenBoth` Lowercase Roman numeral enclosed in parentheses.
    `romanLcParenRight` Lowercase Roman numeral followed by a closing parenthesis.
    `romanLcPeriod` Lowercase Roman numeral followed by a period.
    `romanUcParenBoth` Uppercase Roman numeral enclosed in parentheses.
    `romanUcParenRight` Uppercase Roman numeral followed by a closing parenthesis.
    `romanUcPeriod` Uppercase Roman numeral followed by a period.
    `thaiAlphaParenBoth` Thai alphabetic character enclosed by parentheses.
    `thaiAlphaParenRight` Thai alphabetic character followed by a closing parenthesis.
    `thaiAlphaPeriod` Thai alphabetic character followed by a period.
    `thaiNumParenBoth` Thai numeral enclosed in parentheses.
    `thaiNumParenRight` Thai numeral followed by a closing parenthesis.
    `thaiNumPeriod` Thai numeral followed by a period.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `nativeId`
    `int` | `ooxmlId`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `format(int value)`
    `static AutoNumberingScheme` | `forNativeID(int nativeId)`
    `static AutoNumberingScheme` | `forOoxmlID(int ooxmlId)`
    `java.lang.String` | `getDescription()`
    `static AutoNumberingScheme` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AutoNumberingScheme[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### alphaLcParenBoth

          public static final AutoNumberingScheme alphaLcParenBoth

      Lowercase alphabetic character enclosed in parentheses. Example: (a), (b), (c), ...

    - #### alphaUcParenBoth

          public static final AutoNumberingScheme alphaUcParenBoth

      Uppercase alphabetic character enclosed in parentheses. Example: (A), (B), (C), ...

    - #### alphaLcParenRight

          public static final AutoNumberingScheme alphaLcParenRight

      Lowercase alphabetic character followed by a closing parenthesis. Example: a), b), c), ...

    - #### alphaUcParenRight

          public static final AutoNumberingScheme alphaUcParenRight

      Uppercase alphabetic character followed by a closing parenthesis. Example: A), B), C), ...

    - #### alphaLcPeriod

          public static final AutoNumberingScheme alphaLcPeriod

      Lowercase Latin character followed by a period. Example: a., b., c., ...

    - #### alphaUcPeriod

          public static final AutoNumberingScheme alphaUcPeriod

      Uppercase Latin character followed by a period. Example: A., B., C., ...

    - #### arabicParenBoth

          public static final AutoNumberingScheme arabicParenBoth

      Arabic numeral enclosed in parentheses. Example: (1), (2), (3), ...

    - #### arabicParenRight

          public static final AutoNumberingScheme arabicParenRight

      Arabic numeral followed by a closing parenthesis. Example: 1), 2), 3), ...

    - #### arabicPeriod

          public static final AutoNumberingScheme arabicPeriod

      Arabic numeral followed by a period. Example: 1., 2., 3., ...

    - #### arabicPlain

          public static final AutoNumberingScheme arabicPlain

      Arabic numeral. Example: 1, 2, 3, ...

    - #### romanLcParenBoth

          public static final AutoNumberingScheme romanLcParenBoth

      Lowercase Roman numeral enclosed in parentheses. Example: (i), (ii), (iii), ...

    - #### romanUcParenBoth

          public static final AutoNumberingScheme romanUcParenBoth

      Uppercase Roman numeral enclosed in parentheses. Example: (I), (II), (III), ...

    - #### romanLcParenRight

          public static final AutoNumberingScheme romanLcParenRight

      Lowercase Roman numeral followed by a closing parenthesis. Example: i), ii), iii), ...

    - #### romanUcParenRight

          public static final AutoNumberingScheme romanUcParenRight

      Uppercase Roman numeral followed by a closing parenthesis. Example: I), II), III), ....

    - #### romanLcPeriod

          public static final AutoNumberingScheme romanLcPeriod

      Lowercase Roman numeral followed by a period. Example: i., ii., iii., ...

    - #### romanUcPeriod

          public static final AutoNumberingScheme romanUcPeriod

      Uppercase Roman numeral followed by a period. Example: I., II., III., ...

    - #### circleNumDbPlain

          public static final AutoNumberingScheme circleNumDbPlain

      Double byte circle numbers.

    - #### circleNumWdBlackPlain

          public static final AutoNumberingScheme circleNumWdBlackPlain

      Wingdings black circle numbers.

    - #### circleNumWdWhitePlain

          public static final AutoNumberingScheme circleNumWdWhitePlain

      Wingdings white circle numbers.

    - #### arabicDbPeriod

          public static final AutoNumberingScheme arabicDbPeriod

      Double-byte Arabic numbers with double-byte period.

    - #### arabicDbPlain

          public static final AutoNumberingScheme arabicDbPlain

      Double-byte Arabic numbers.

    - #### ea1ChsPeriod

          public static final AutoNumberingScheme ea1ChsPeriod

      Simplified Chinese with single-byte period.

    - #### ea1ChsPlain

          public static final AutoNumberingScheme ea1ChsPlain

      Simplified Chinese.

    - #### ea1ChtPeriod

          public static final AutoNumberingScheme ea1ChtPeriod

      Traditional Chinese with single-byte period.

    - #### ea1ChtPlain

          public static final AutoNumberingScheme ea1ChtPlain

      Traditional Chinese.

    - #### ea1JpnChsDbPeriod

          public static final AutoNumberingScheme ea1JpnChsDbPeriod

      Japanese with double-byte period.

    - #### ea1JpnKorPlain

          public static final AutoNumberingScheme ea1JpnKorPlain

      Japanese/Korean.

    - #### ea1JpnKorPeriod

          public static final AutoNumberingScheme ea1JpnKorPeriod

      Japanese/Korean with single-byte period.

    - #### arabic1Minus

          public static final AutoNumberingScheme arabic1Minus

      Bidi Arabic 1 (AraAlpha) with ANSI minus symbol.

    - #### arabic2Minus

          public static final AutoNumberingScheme arabic2Minus

      Bidi Arabic 2 (AraAbjad) with ANSI minus symbol.

    - #### hebrew2Minus

          public static final AutoNumberingScheme hebrew2Minus

      Bidi Hebrew 2 with ANSI minus symbol.

    - #### thaiAlphaPeriod

          public static final AutoNumberingScheme thaiAlphaPeriod

      Thai alphabetic character followed by a period.

    - #### thaiAlphaParenRight

          public static final AutoNumberingScheme thaiAlphaParenRight

      Thai alphabetic character followed by a closing parenthesis.

    - #### thaiAlphaParenBoth

          public static final AutoNumberingScheme thaiAlphaParenBoth

      Thai alphabetic character enclosed by parentheses.

    - #### thaiNumPeriod

          public static final AutoNumberingScheme thaiNumPeriod

      Thai numeral followed by a period.

    - #### thaiNumParenRight

          public static final AutoNumberingScheme thaiNumParenRight

      Thai numeral followed by a closing parenthesis.

    - #### thaiNumParenBoth

          public static final AutoNumberingScheme thaiNumParenBoth

      Thai numeral enclosed in parentheses.

    - #### hindiAlphaPeriod

          public static final AutoNumberingScheme hindiAlphaPeriod

      Hindi alphabetic character followed by a period.

    - #### hindiNumPeriod

          public static final AutoNumberingScheme hindiNumPeriod

      Hindi numeric character followed by a period.

    - #### hindiNumParenRight

          public static final AutoNumberingScheme hindiNumParenRight

      Hindi numeric character followed by a closing parenthesis.

    - #### hindiAlpha1Period

          public static final AutoNumberingScheme hindiAlpha1Period

      Hindi alphabetic character followed by a period.

  - ### Field Detail

    - #### nativeId

          public final int nativeId

    - #### ooxmlId

          public final int ooxmlId

  - ### Method Detail

    - #### values

          public static AutoNumberingScheme[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutoNumberingScheme c : AutoNumberingScheme.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutoNumberingScheme valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### forNativeID

          public static AutoNumberingScheme forNativeID(int nativeId)

    - #### forOoxmlID

          public static AutoNumberingScheme forOoxmlID(int ooxmlId)

    - #### getDescription

          public java.lang.String getDescription()

    - #### format

          public java.lang.String format(int value)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.